package com.mortals.xhx.common.code;

import java.util.LinkedHashMap;
import java.util.Map;

/**
 * 打印内容类型
 *
 * @author:
 * @date: 2022/12/26 11:11
 */
public enum PrintFontStyleEnum {
    PRINT_REGULAR("regular", "正常"),
    PRINT_BOLD("bold", "粗体"),
    PRINT_UNDERLINE("underline", "下划线"),
    PRINT_ITALIC("italic", "斜体"),
    PRINT_STRIKEOUT("strikeout", "二维码"),
    ;
    private String value;
    private String desc;

    PrintFontStyleEnum(String value, String desc) {
        this.value = value;
        this.desc = desc;
    }

    public String getValue() {
        return this.value;
    }

    public String getDesc() {
        return this.desc;
    }

    public static PrintFontStyleEnum getByValue(String value) {
        for (PrintFontStyleEnum BusizTypeEnum : PrintFontStyleEnum.values()) {
            if (BusizTypeEnum.getValue().equals(value)) {
                return BusizTypeEnum;
            }
        }
        return null;
    }

    /**
     * 获取Map集合
     *
     * @param eItem 不包含项
     * @return
     */
    public static Map<String, String> getEnumMap(String... eItem) {
        Map<String, String> resultMap = new LinkedHashMap<>();
        for (PrintFontStyleEnum item : PrintFontStyleEnum.values()) {
            try {
                boolean hasE = false;
                for (String e : eItem) {
                    if (item.getValue() == e) {
                        hasE = true;
                        break;
                    }
                }
                if (!hasE) {
                    resultMap.put(item.getValue() + "", item.getDesc());
                }
            } catch (Exception ex) {

            }
        }
        return resultMap;
    }
}